#ifndef _LEVEL_EDITOR_H_
#define _LEVEL_EDITOR_H_


enum UNDO_flags
{
   UNDO_PUSH       = 0x01,
   UNDO_POP        = 0x02,
   UNDO_CHECK_LAST = 0x04
};


#if defined (__STDC__) || defined (__cplusplus) || defined (NeedFunctionPrototypes)
#  define __PARMS(s) s
#else
#  define __PARMS(s) ()
#endif

char   code_room    __PARMS((short room));
char  *code_level   __PARMS((short level));
char  *level_name   __PARMS((short room, short level));
short  level_load   __PARMS((short room, short level, struct CAVE_DATA *cave_data));
short  level_save   __PARMS((short room, short level, struct CAVE_DATA *cave_data));
void   level_editor __PARMS((void));

#undef __PARMS
#endif /* _LEVEL_EDITOR_H_ */
